[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#559344: kldutils: bashism used in /etc/init.d/module-init-tools

On Fri, 4 Dec 2009 14:43:52 +0100 (CET)
Petr Salinger <Petr.Salinger@seznam.cz> wrote:
> It might be related to package name change in
> freebsd-utils (7.1-4) unstable; urgency=low
>    * Rename module-init-tools to kldutils and net-tools to freebsd-net-tools,
>      as this is messing up the expectations of several services of equially
>      named binary coming from the same source package.
>   -- Guillem Jover <guillem@debian.org>  Mon, 13 Apr 2009 17:29:58 +0200
> Please run "dpkg -L kldutils", there should be only lines
> /etc/init.d
> /etc/init.d/kldutils
> Please try also "dpkg -la | grep  modules-init-tools",
> there should be no such package. You might want to purge it.
I wonder why it's not removed on upgrade. I can reproduce this by
upgrading the lenny image from 
(as mentioned in http://wiki.debian.org/Debian_GNU/kFreeBSD_FAQ), with
apt-get and aptitude... and NOT switching to dependency based booting
will not trigger a fault. With dependency based booting I have to
purge module-init-tools to fully upgrade the system.


Reply to: